@import url('https://fonts.googleapis.com/css?family=Roboto:100,300,400,500,600,700');
@import url('https://fonts.googleapis.com/css?family=Lobster+Two');
/* COLOR 1 Azul Opaco 

#35495D.  fondo menu
#222F3C. selected. mas oscuro


#6795B4 fondo medio
#5589AC. fondo medio 2 mas oscuro

#fff.    txt
#2fcc71;  txt resaltado verde

#ECF0F1. fondo clarissimo
#34495e titulo en clarisimo
#7c838a  txt en clarisimo

*/

html, body {height: 100%;  margin:0px;padding:0px;font-family: 'Roboto', sans-serif;}
body{ 	
  background-color: #f2faf5;
	--color: #25292E;
  --color2: #D11250;
  --font-title: 'Lobster Two', cursive;
	/*--font-family: 'Roboto', sans-serif;*/

}

h1 { font-size: 2.3rem; }
h2 { font-size: 1.8rem;}
h3 { font-size: 1.375rem;}
h4 { font-size: 1.125rem;}
h5 { font-size: 1rem;}
h6 { font-size: 0.875rem;}

/* ==== GRID SYSTEM ==== */
.container-fluid {  width: 100%; margin-left: auto; margin-right: auto;}
.container {  width: 100%; max-width: 1200px; margin-left: auto; margin-right: auto;}


.row {  position: relative;  width: 100%; }
.row [class^="col"] {   float: left;  padding: 0.5rem 2%;  min-height: 0.125rem; }
.row::after {   content: "";    display: table; clear: both;}

 .col-1 { width: 4.33%; }
  .col-2 {  width: 12.66%; }
  .col-3 {  width: 21%; }
  .col-4 {  width: 29%; }
  .col-5 {  width: 37.66%; }
  .col-6 {  width: 46%;}
  .col-7 {  width: 54.33%;}
  .col-8 {   width: 62.66%;}
  .col-9 {  width: 71%; }
  .col-10 {   width: 79.33%; }
  .col-11 {   width: 87.66%; }
  .col-12 {   width: 96%; }


.img-responsive{width: 100%; height: auto;}


.btn{  text-decoration: none;
        /*box-shadow: inset 0 0 0 1px rgba(18,119,235,.5);*/
        color: #ccc;
        font-size: 16px;
        border:1px solid #303030;
        border-radius: 3px;
        font-weight: 400;
        padding: 16px 24px;-webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
        -webkit-transition: all 40ms; -moz-transition: all 40ms; -o-transition: all 40ms; -ms-transition: all 40ms; transition: all 40ms;
}
.btn:hover{ border:1px solid #404040;box-shadow: 0 12px 16px 0 rgba(0,0,0,0.24), 0 17px 50px 0 rgba(0,0,0,0.19);color:#f1f1f1;}

.btn:active {
    border:1px solid #303030;box-shadow: 0 5px 6px 0 rgba(0,0,0,0.24), 0 10px 20px 0 rgba(0,0,0,0.19); color:#696969;
}

/* ==== Navigator ==== */
header{ position: absolute;top: 0;height:65px;width: 100%;background-color: var(--color);z-index: 1000001;
  box-shadow: 0 0 17px  4px rgba(0,0,0,.18),  0 0 17px  4px rgba(0,0,0,.18);
-webkit-transition: all 400ms; -moz-transition: all 400ms; -o-transition: all 400ms; -ms-transition: all 400ms; transition: all 400ms;}

header .container{   text-align: center;}
header .logo {padding: 18px 0 0 20px; }
header .logo a{color:#404040; text-decoration: none;font-weight: 400;font-size: 24px;}





.scene{  width: 170px;  height: 40px;margin-top:20px;display:inline-block;  color: #696969; float: left  }
.scene:hover .cube{ transform: rotateX(90deg); color: #f1f1f1; }

.cube{
  font-family: 'Lobster Two', cursive;
  font-size: 25px;
  color: #696969;
  position: relative;
   width: 170px;
  height: 35px;
  transform-origin: 50% 50%;
  transform-style: preserve-3d;
  transition: 0.4s all;
}

.front{
  position: absolute;
  width: 100%;
  height: 100%;
  text-align: center;
  transform: rotateX(0deg) translate3d(0px,0px,20px);
}

.bottom{
  position: absolute;
  width: 100%;
  height: 100%;
  text-align: center;
  transform: rotateX(-90deg) translate3d(0px,0px,20px);
}




header .menu {padding: 16px 0 0 20px; display:inline-block; float:left;}
header .menu a{ padding:5px 8px; border-radius:5px;text-decoration: none;font-size: 26px;color: #818181; transition: 0.3s;}
header .menu a:hover{background-color: #404040;}

.overlayMenu { height: 100%; width: 0;  position: fixed;  z-index: 10000001; top: 0; left: 0; background-color: rgb(0,0,0);  background-color: rgba(0,0,0, 0.9);  overflow-x: hidden; transition: 0.5s;}
.overlayMenu-content {  position: relative;  top: 25%;  width: 100%;  text-align: center;   margin-top: 30px;}
.overlayMenu a:hover, .overlayMenu a:focus { color: #ccc; }
.overlayMenu .closebtn {  text-decoration: none; position: absolute; top: 0px; left: 30px; font-size: 60px;}
.overlayMenu a { padding: 0px; text-decoration: none; font-size: 20px; color: #818181; display: block;}
.overlayMenu-content a{padding:10px;}
@media screen and (max-height: 450px) {
  .overlayMenu a {font-size: 20px}
  .overlayMenu .closebtn {
    font-size: 40px;
    top: 20px;
    right: 35px;
  }
}



/* ==== HOME WELCOME ==== */

#welcome{  margin-top: 65px; height: calc(100vh - 70px); position: relative;   background-color: #232B2B;
        -webkit-transition: all 400ms; -moz-transition: all 400ms; -o-transition: all 400ms;  -ms-transition: all 400ms; transition: all 400ms;}
#welcome .home{ text-align: center;position: absolute;top: 50%;left: 50%;transform: translate(-50%, -50%);z-index: 100001}
#welcome .home h1{ font-size: 54px;color: var(--color2);line-height: 1.25 !important; font-family: var(--font-title);
            -webkit-font-smoothing: antialiased;margin-bottom: 16px !important;}
#welcome .home h2{ font-size: 26px;font-weight:300;color: #E3AE57;-webkit-font-smoothing: antialiased;margin-bottom: 50px}

#welcome .home a{margin-top:50px;}





.homePresentation{  background-color: #FAFBFC; position:relative;z-index: 10000001;padding: 100px 0;
                text-align: center; 
                  }


.homePresentation .container h2{ font-size: 36px;font-weight:400;color: #24292e;-webkit-font-smoothing: antialiased;}
.homePresentation .container p{ max-width:800px; margin: auto auto;font-size: 21px!important;
    font-weight: 300!important;color:#586069;}
.homePresentation .container a{ font-size: 16px;color: #fff; -webkit-font-smoothing: antialiased;}

/* ==== HOME Portfolio ==== */


.portfolio {z-index: 101;display: grid; grid-template-columns: repeat(auto-fill, minmax(33%, 1fr)); grid-gap: 0px;}
.portfolio-cell{position:relative;display:inline-block;padding: 0px;margin:0px;overflow: hidden; font-size: 0;}
.portfolio-cell .shadow{position:absolute;width:100%;height:100%;-webkit-box-shadow: inset 0px 0px 148px 54px rgba(0,0,0,0.18);
-moz-box-shadow: inset 0px 0px 148px 54px rgba(0,0,0,0.18);
box-shadow: inset 0px 0px 148px 54px rgba(0,0,0,0.18);}

.portfolio-cell img { width: 100%; height: auto;  object-fit: cover;transition: .5s ease; }
.portfolio-cell .overlay { position: absolute;top: 0; bottom: 0;left: 0;right: 0;height: 100%;width: 100%;opacity: 0;transition: .5s ease;background-color: #25292D;}
.portfolio-cell:hover .overlay {  opacity: 1; }
.portfolio-cell:hover img { transform: scale(0); }

.portfolio-cell .text {padding: 25px 35px; position: absolute;top: 50%;left: 50%; width: 50%; text-align: center;
  -webkit-transform: translate(-50%, -50%); -ms-transform: translate(-50%, -50%);transform: translate(-50%, -50%);
    animation: nones; /* para recomenzar al animacion*/ }
.portfolio-cell .text .title{ font-size: 18px; color: #f1f4f8;}
.portfolio-cell .text .subtitle{ font-size: 14px; color: #f1f9f1;font-weight: 100;}
@media only screen and (max-width: 45em) {  /* 720px */ 
  .portfolio { grid-template-columns: repeat(auto-fill, minmax(50%, 1fr));}
}

/*
#232B2B.   Black


#D11250
#DB5800
#006899
#008F68
#DC3D24.   red

#FFFFFF
#E3AE57.   orange

*/


@keyframes bg {
    0%  { background-size: 0 3px, 3px 0,0 3px,3px 0; }
    25% { background-size: 100% 3px, 3px 0,0 3px,3px 0;}
    50% { background-size: 100% 3px, 3px 100%, 0 3px,3px 0; }
    75% { background-size: 100% 3px, 3px 100%, 100% 3px, 3px 0; }
    100% { background-size:100% 3px, 3px 100%, 100% 3px, 3px 100%; }
}



.portfolio-cell:hover .text{
  border-radius: 5px;
    background-repeat: no-repeat;
    background-image:   linear-gradient(60deg, #f79533, #f37055, #ef4e7b, #a166ab, #5073b8, #1098ad, #07b39b, #6fba82),
                        linear-gradient(60deg, #f79533, #f37055, #ef4e7b, #a166ab, #5073b8, #1098ad, #07b39b, #6fba82),
                        linear-gradient(60deg, #f79533, #f37055, #ef4e7b, #a166ab, #5073b8, #1098ad, #07b39b, #6fba82),
                        linear-gradient(60deg, #f79533, #f37055, #ef4e7b, #a166ab, #5073b8, #1098ad, #07b39b, #6fba82);
    background-size:    100% 3px, 3px 100%, 100% 3px, 3px 100%;
    background-position:    0 0,  100% 0,  100% 100%,  0 100%;
    animation: bg 1.25s cubic-bezier(0.19, 1, 0.22, 1) 1;
    animation-play-state: running;
}










  /*-------------------------*/
 /*     ABOUT               */
/*                 */

/* ==== HOME WELCOME ==== */

#welcomeAbout{  margin-top: 65px;padding: 150px 0px; position: relative;   background-color: #232B2B;
        -webkit-transition: all 400ms; -moz-transition: all 400ms; -o-transition: all 400ms;  -ms-transition: all 400ms; transition: all 400ms;}
#welcomeAbout .home{ text-align: center;position: absolute;top: 50%;left: 50%;transform: translate(-50%, -50%);}
#welcomeAbout .home h1{ font-size: 54px;color: var(--color2);line-height: 1.25 !important; text-transform: uppercase;
            -webkit-font-smoothing: antialiased;margin-bottom: 16px !important;}
#welcomeAbout .home h2{ font-size: 26px;font-weight:300;color: #E3AE57;-webkit-font-smoothing: antialiased;}
#welcomeAbout .home a{ font-size: 16px;font-weight: 500;color: #fff; -webkit-font-smoothing: antialiased;}





  /*-------------------------*/
 /*    Contact              */
/*                         */



#contactform{margin-top: 65px;padding: 150px 0px; position: relative;  text-align: center; background-color: #fff;}

#contactform input {
    width: 300px;
    padding: 12px 20px;
    margin: 8px 0;
    border: 2px solid #ccc;
    border-radius: 4px;
    background-color: #f8f8f8;
    box-sizing: border-box;
}


#contactform textarea {
    width: 300px;
    height: 150px;
    padding: 12px 20px;
    box-sizing: border-box;
    border: 2px solid #ccc;
    border-radius: 4px;
    background-color: #f8f8f8;
    resize: none;
}


#contactform button {
  width: 300px;
    padding: 12px 20px;
    margin: 8px 0;
    border: 2px solid #ccc;
    border-radius: 4px;
    background-color: #f8f8f8;
    box-sizing: border-box;}



/* TABS */

#tabs{position: absolute;background-color: #232B2B;z-index: 1001;z-index: 3;border: 0px;border-top:1px solid #2b3333;  
  -webkit-box-shadow: 0px 4px 11px 0px rgba(0,0,0,0.21);
-moz-box-shadow: 0px 4px 11px 0px rgba(0,0,0,0.21);
box-shadow: 0px 4px 11px 0px rgba(0,0,0,0.21);
}

#tabs ul{position:relative;top:0px;margin:auto;padding: 0px;margin: 0px;transition: top ease-out 0.2s;
}

.tabstxt{   color: #fff!important;line-height: 1.25 !important; font-size: 12px;}



#tabs a{color: #f1f2f3!important;text-decoration: none;font-size: 12px;bottom:0px;}


#tabs ul li a:hover >  img{ top:-7px!important; }

.tabsimg{max-height: 30px; position: relative;top:0px;color: #fff;padding:10px 0;
                -webkit-transition: opacity .4s ease-in-out,top ease-out 0.2s;
    -moz-transition: opacity .4s ease-in-out,top ease-out 0.2s;
    -o-transition: opacity .4s ease-in-out,top ease-out 0.2s;
    transition: opacity .4s ease-in-out,top ease-out 0.2s;}


#tabs ul li   {display: inline-block; width:19%; text-align: center;}
#tabs ul li a   {display: inline-block;width: 100%;padding: 15px 0px;border:1px solid transparent;  border-bottom: 2px solid transparent; }
#tabs ul li a:hover   {background-color: #404040; border-bottom:2px solid #D11250}


.fixed {
  z-index: 3;
  position: fixed!important;
  border-bottom: 1px #eaecef solid;
  background-color:rgba(255, 255, 255, 0.5);
  top:-120px;
  transform: translate(0px, 70px);
  width: 100%;
  transition: all .3s ease 0s;
}

.fixed::after {
    position: absolute;
    right: 0;
    top:0px;
    left: 0;
    z-index: -1;
    display: block;
    height: 12px;
    content: "";
    background: linear-gradient(rgba(0,0,0,0.075), rgba(0,0,0,0.001)) repeat-x 0 0;
    }

 .fixed:hover{ top:-70px;}

 .fixed:hover  .tabsimg{  opacity:1!important; }

.fixed:hover > .tabscontainer{

  top:0px!important;
   -moz-transition: 1s;
    -ms-transition: 1s;
    -o-transition: 1s;
    -webkit-transition: 1s;
    transition: 1s; 
}
.active {
  background-color: #404040;  border-bottom:2px solid #D11250!important;
}
#presentation{ background: #F3EDE7; text-align: center;}
#presentation .content{ padding: 150px 0px;}

.skills-head{ background: #232B2B; padding: 150px 0px;text-align: center}

.skills-head img{width:60px;height: auto;}
.skills-head h2{font-size: 54px;font-weight: 400;margin-top:15px;color:#CE1952;}
.skills-head p{color:#E3A45A;margin:auto auto; font-size: 18px; font-weight: 300;max-width: 600px;}

.skills-content {padding: 100px 0px;}

.skills-content .skills-tabs{margin-bottom: 80px;text-align: center}
.skills-content .skills-tabs img{max-width:200px;margin:auto auto}
.skills-content .skills-tabs h3 {font-size: 22px;}
.skills-content .skills-tabs p{font-size: 14px;line-height: 1.5;color: #24292e;}







@media (min-width: 1200px) {
  .container {
    width: 1040px;
  }
}






  /*-------------------------*/
 /*     PORTFOLIO ITEMS     */
/*                 */



.portfolio-bread {background-color: #2C3137;}
.portfolio-bread .container{padding: 0px 0px; text-align: left;}
.portfolio-bread .breadcrumb{background-color: transparent;margin-bottom: 0px}


.portfolio-head {background-color: #fff;}
.portfolio-head .container{padding: 0px 0px; text-align: center;}
.portfolio-head .container img{  width: 100%; max-width: 800px;



    -webkit-animation: fadein 2s; /* Safari, Chrome and Opera > 12.1 */
       -moz-animation: fadein 2s; /* Firefox < 16 */
        -ms-animation: fadein 2s; /* Internet Explorer */
         -o-animation: fadein 2s; /* Opera < 12.1 */
            animation: fadein 2s;
}

@keyframes fadein {
    from { opacity: 0; }
    to   { opacity: 1; }
}

/* Firefox < 16 */
@-moz-keyframes fadein {
    from { opacity: 0; }
    to   { opacity: 1; }
}

/* Safari, Chrome and Opera > 12.1 */
@-webkit-keyframes fadein {
    from { opacity: 0; }
    to   { opacity: 1; }
}

/* Internet Explorer */
@-ms-keyframes fadein {
    from { opacity: 0; }
    to   { opacity: 1; }
}

/* Opera < 12.1 */
@-o-keyframes fadein {
    from { opacity: 0; }
    to   { opacity: 1; }
}



.portfolio-high { box-shadow: 0 10px 50px rgba(27,31,35,0.07) !important;padding: 20px;    background-color: #fff;
    border: 1px solid #d1d5da;
    border-radius: 4px; /*border-top: 4px solid  #0366d6 !important;*/ margin-top: 50px}

.portfolio-high h5{font-size: 14px;font-weight: 600;}

.portfolio-high .details{list-style: none;    padding-left: 5px; border-bottom: 1px solid #f1f1f1;padding-bottom: 10px}
.portfolio-high .details li{margin-bottom: 7px;display: inline-block;}
.portfolio-high .details span{background-color: #def; color: #0366d6;padding: 2px 4px; border-radius: 3px;font-size: 12px !important;    padding: 0.3em 0.9em;}

.portfolio-high .tecs{list-style: none;    padding-left: 5px; border-bottom: 1px solid #f1f1f1;padding-bottom: 10px;}
.portfolio-high .tecs li{display: inline-block;margin-bottom: 7px}
.portfolio-high .tecs span {background-color: #f1f1f1; color: #0366d6; border-radius: 3px;font-size: 12px !important;    padding: 0.3em 0.9em;}

.portfolio-high .btn {padding: .75em 1.25em;font-size: inherit;border-radius: 6px;}



.portfolio-description {background-color:#fff}
.portfolio-description .container{padding: 40px 0px; text-align: left}
 .portfolio-description h1{font-weight: 300; color: #24292e; font-size: 50px}
  .portfolio-description h5{ font-size: 16px; font-weight: 400;  color: #586069!important;}
   .portfolio-description h4{ font-size: 20px; font-weight: 400;  color: #586069!important;-webkit-margin-before: 1.5em;}
.portfolio-description p {font-size: 20px; font-weight: 300; color: #586069; text-align:left;padding-right:50px;margin:auto auto; 
    -webkit-margin-before: 1em;
    -webkit-margin-after: 1em;
   } 

.portfolio-details {background-color:#fafbfc;}
.portfolio-details .container{padding: 40px 0px; text-align: center;}
.portfolio-details img{height: 50px}
.portfolio-details h4{font-size: 22px !important;font-weight: 400;    margin-bottom: 80px !important;}

.portfolio-details h5{font-size: 20px !important;font-weight: 400;    margin-bottom: 16px !important;}
.portfolio-details p{color: #586069;text-align: center;padding: 0 30px;margin-bottom: 50px !important;font-size: 16px !important;border-bottom-color: #eee;}



.portfolio-coments .container{padding: 80px 0px; text-align: center}
.portfolio-coments .coment{max-width: 800px;margin:auto auto;border: 1px solid #e5e5e5;border-radius: 6px;box-shadow: 0 1px 1px rgba(0,0,0,.1);padding: 30px;background-color: #fff}

.portfolio-coments .coment p{color: #586069; font-style: italic;}
.portfolio-coments .coment h5{text-align: right}



.portfolio-callout {background-color:#fafbfc}
.portfolio-callout .container {padding: 80px 0px;}
.portfolio-callout .callout-box {background:#fff;width:100%;height: 100px;box-shadow: 0 10px 50px rgba(27,31,35,0.07) !important;padding: 30px 10px;}
.portfolio-callout .callout-box p{color:#24292e; font-size: 18px;font-weight: 300;text-align: center}
.portfolio-callout .callout-box .btn {padding: .75em 1.25em;font-size: inherit;border-radius: 6px;}










/* ==== to the top botón ==== */
#back-to-top { position: fixed; bottom: 40px;  right: 0px;
    z-index: 9999;
    width: 40px;
    height: 40px;
    text-align: center;
    line-height: 30px;
    color: #444;
    cursor: pointer;
    border: 0;
    border-radius: 2px;
    text-decoration: none;
    transition: opacity 0.2s ease-out;
    opacity: 0;
    background: rgba(255,255,255,0.7);
    border-radius: 50%;
    box-shadow: inset 0 0 0 2px rgba(255,255,255,0.7), 0 1px 2px rgba(0,0,0,0.2);
  

}
#back-to-top:hover {
    background: #e9ebec;
    -webkit-transition: all 0.4s ease-in-out;
  -moz-transition: all 0.4s ease-in-out;
  -ms-transition: all 0.4s ease-in-out;
  -o-transition: all 0.4s ease-in-out;
  transition: all 0.4s ease-in-out;
}
#back-to-top.show {
    opacity: 1;
}

#back-to-top img{ 
  margin-top: 10px;
    opacity: .6;}







#preloader {
    position:fixed;
    top:0;
    left:0;
    right:0;
    bottom:0;
     background: #232B2B ; 
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
    height: 100%;
    z-index:100000000001; /* makes sure it stays on top */
}

#status {
    width: 100px;
    height: 100px;
    position:fixed; 
    left:50%; /* centers the loading animation horizontally one the screen */
    top:50%; /* centers the loading animation vertically one the screen */
   margin:-25px 0 0 -15px; /* is width and height divided by two */
}

.lds-ellipsis {
  display: inline-block;
  position: relative;
  width: 100px;
  height: 100px;
}
.lds-ellipsis div {
  position: absolute;
  top: 27px;
  width: 11px;
  height: 11px;
  border-radius: 50%;
  
  animation-timing-function: cubic-bezier(0, 1, 1, 0);
}
.lds-ellipsis div:nth-child(1) {
  left: 6px;background: #CE1952;
  animation: lds-ellipsis1 0.6s infinite;
}
.lds-ellipsis div:nth-child(2) {
  left: 6px; background: #E3AE57;
  animation: lds-ellipsis2 0.6s infinite;
}
.lds-ellipsis div:nth-child(3) {
  left: 26px;background: #31355B;
  animation: lds-ellipsis2 0.6s infinite;
}
.lds-ellipsis div:nth-child(4) {
  left: 45px;background: #55B788;
  animation: lds-ellipsis3 0.6s infinite;
}
@keyframes lds-ellipsis1 {
  0% {
    transform: scale(0);
  }
  100% {
    transform: scale(1);
  }
}
@keyframes lds-ellipsis3 {
  0% {
    transform: scale(1);
  }
  100% {
    transform: scale(0);
  }
}
@keyframes lds-ellipsis2 {
  0% {
    transform: translate(0, 0);
  }
  100% {
    transform: translate(19px, 0);
  }
}







